Eye = Class(function(self,g,p,size)
	self.g = g
	self.p = p
	self.size = size or 5
	self.blinkTimeout = math.random(10)
	self.blinkDuration = math.random()*0.05+0.05
	self.blinking = false
	self.shooting = nil
	self.force = vector(0,0)
	self.health = 255
end)

Eye.blinkSounds = {love.audio.newSource('assets/sounds/blink.ogg'),
				   love.audio.newSource('assets/sounds/blink2.ogg'),
				   love.audio.newSource('assets/sounds/blink3.ogg')}
Eye.blinkSound = Eye.blinkSounds[math.random(#Eye.blinkSounds)]

function Eye:update(dt)
	self.blinkTimeout = self.blinkTimeout - dt
	-- when the blinkTimeout expires, blink the eye
	if self.blinkTimeout < 0 then
		if self.blinking == false then
			-- staring the blink, play the sound
			Eye.blinkSound:play()
			Eye.blinkSound = Eye.blinkSounds[math.random(#Eye.blinkSounds)]
		end
		self.blinking = true
		-- when the blinkTimeout gets blow the blinkDuration, stop blinking
		if self.blinkTimeout < -self.blinkDuration then
			self.blinkTimeout = math.random(10)
			self.blinkDuration = math.random()*0.05+0.05
			self.blinking = false
		end
	end
	if self.shooting then
		self.shooting.health = self.shooting.health - 50*dt
	end
end

function Eye:draw(p, target)
	p = p or self.p
	t = target or g.c:mousepos() -- where should the eye look
	love.graphics.setColor(255,self.health,self.health,255)
	love.graphics.circle('fill', p.x, p.y, self.size, 32)
	drawCircle(p,self.size)
	
	if self.blinking then
		-- draw the blinking eye
		love.graphics.setColor(0,0,0,255)
		love.graphics.circle('fill', p.x, p.y, self.size, 32)
	else
		drawCircle(p+3*((t-p):normalize_inplace()),math.floor(self.size/3))
		drawFilledCircle(p+3*((t-p):normalize_inplace()),math.ceil(self.size/3))
	end
end